#pragma once

#include "CoreMinimal.h"
#include "BaseKillerAnimInstance.h"
#include "K37VampireAbilitySubAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class THEK37_API UK37VampireAbilitySubAnimInstance : public UBaseKillerAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isChargingFlamePillarAttack;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _chargingFlamePillarsPercentage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isCastingFlamePillarAttack;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isCancellingFlamePillarAttack;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isStunned;

public:
	UK37VampireAbilitySubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK37VampireAbilitySubAnimInstance) { return 0; }
